import { ref, computed } from "vue";

//功能
export default () => {
    return {
       
        dialogData: {
            title: '结算申请',
            column: [
                {
                    label: '收款方式',
                    prop: 'payeeMethod',
                    type: 'select',
                    dictionary: 'settlement_application_payee_method',
                    rules: [
                        { required: true, message: '请选择收款方式', trigger: 'change' }
                    ],
                },
                {
                    label: '收款账号',
                    prop: 'payeeAccount',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入收款账号', trigger: 'change' }
                    ],
        
                },
                {
                    label: '收款银行名称',
                    prop: 'payeeBankName',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入收款银行名称', trigger: 'change' }
                    ],
        
                },
                {
                    label: '收款人',
                    prop: 'payeeName',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入收款人', trigger: 'change' }
                    ],
                },
                {
                    label: '收款人备注',
                    prop: 'payeeRemark',
                    type: 'textarea',
                },
            ]
        },
        costdialogData: {
            title: '费用结算',
            column: [
                {
                    label: '付款方式',
                    prop: 'payerMethod',
                    type: 'select',
                    dictionary: 'settlement_application_payee_method',
                    rules: [
                        { required: true, message: '请选择付款方式', trigger: 'change' }
                    ],
                },
                {
                    label: '付款账号',
                    prop: 'payerAccount',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入付款账号', trigger: 'change' }
                    ],
        
                },
                {
                    label: '付款银行名称',
                    prop: 'payerBankName',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入付款银行名称', trigger: 'change' }
                    ],
        
                },
                {
                    label: '付款人',
                    prop: 'payerName',
                    type: 'input',
                    rules: [
                        { required: true, message: '请输入付款人', trigger: 'change' }
                    ],
                },
                {
                    label: '付款时间',
                    prop: 'payerTime',
                    type: 'picker',
                    rules: [
                        { required: true, message: '请选择付款时间', trigger: 'change' }
                    ],
                },
                {
                    label: '付款人备注',
                    prop: 'payerRemark',
                    type: 'textarea',
                },
            ]
        },

    }
}